Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.notification
Class NotifyQueues

    java.lang.Object
      org.jboss.soa.esb.notification.NotificationTarget
          org.jboss.soa.esb.notification.NotifyJMS
              org.jboss.soa.esb.notification.NotifyQueues

    public class NotifyQueues

extends NotifyJMS

This class that implements abstract methods defined in it's superclass

Description:

Author: Heuristica - Buenos Aires - Argentina

KS: It is silly we open and close the jms connection with eash request.

Version:
  1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.soa.esb.notification.NotifyJMS
`NotifyJMS.NativeMessage`

Field Summary
`static java.lang.String` | `CHILD_QUEUE` Element name mnemonic to search for child elements in the ConfigTree at constructor time, that will hold a "jndiName" attribute specifying the value to look up in the JNDI context in order to obtain a queue

Fields inherited from class org.jboss.soa.esb.notification.NotifyJMS
`ATT_DEST_NAME, ATT_PROP_NAME, ATT_PROP_VALUE, CHILD_MSG_PROP, CONNECTION_FACTORY, connectionPools, deliveryModes, PERSISTENT_ATTR, priorities, PRIORITY_ATTR, producers, sessions, TIME_TO_LIVE_ATTR, timeToLives`

Fields inherited from class org.jboss.soa.esb.notification.NotificationTarget
`m_oParms, PRM_NOTIF_CLASS`

Constructor Summary
`NotifyQueues(ConfigTree p_oP)`

Method Summary
`protected javax.jms.MessageProducer` | `createProducer(org.jboss.internal.soa.esb.rosetta.pooling.JmsConnectionPool pool, java.lang.String destinationName, javax.jms.Session session, java.util.Properties environment)` Creates a message producer specific to the subclasses implementation i.e QueueSender or TopicPublisher.
`protected void` | `send(javax.jms.Message p_oMsg, javax.jms.MessageProducer msgProducer)` Abstract method - All classes that extend NotifyJMS must implement it according to their own javax.jms.Destination needs (Queue/Topic)

Methods inherited from class org.jboss.soa.esb.notification.NotifyJMS
`sendNotification, sendToAll, setJMSProperties, setJmsPropertiesStrategy, setUpProducers`

Methods inherited from class org.jboss.soa.esb.notification.NotificationTarget
`fromParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHILD_QUEUE

    public static final java.lang.String CHILD_QUEUE

  Element name mnemonic to search for child elements in the ConfigTree at constructor time, that will hold a "jndiName" attribute specifying the value to look up in the JNDI context in order to obtain a queue

  See Also:
    `NotifyJMS.ATT_DEST_NAME`, Constant Field Values

Constructor Detail

### NotifyQueues

    public NotifyQueues(ConfigTree p_oP)
                 throws ConfigurationException,
                        javax.jms.JMSException,
                        org.jboss.internal.soa.esb.rosetta.pooling.ConnectionException

Throws:
  `ConfigurationException`
  `javax.jms.JMSException`
  `org.jboss.internal.soa.esb.rosetta.pooling.ConnectionException`

Method Detail

### send

    protected void send(javax.jms.Message p_oMsg,
                        javax.jms.MessageProducer msgProducer)
                 throws javax.jms.JMSException

  Description copied from class: `NotifyJMS`
  Abstract method - All classes that extend NotifyJMS must implement it according to their own javax.jms.Destination needs (Queue/Topic)

  Specified by:
    `send` in class `NotifyJMS`
  Parameters:
    `p_oMsg` - the JMS Message to send
    `msgProducer` - the JMS Message Producer which will perform the sending
  Throws:
    `javax.jms.JMSException` - if the send was not sucessful

### createProducer

    protected javax.jms.MessageProducer createProducer(org.jboss.internal.soa.esb.rosetta.pooling.JmsConnectionPool pool,
                                                       java.lang.String destinationName,
                                                       javax.jms.Session session,
                                                       java.util.Properties environment)
                                                throws javax.naming.NamingException,
                                                       javax.jms.JMSException,
                                                       org.jboss.internal.soa.esb.rosetta.pooling.ConnectionException

  Description copied from class: `NotifyJMS`
  Creates a message producer specific to the subclasses implementation i.e QueueSender or TopicPublisher.

  Specified by:
    `createProducer` in class `NotifyJMS`
  Returns:
    MessageProducer
  Throws:
    `javax.naming.NamingException`
    `javax.jms.JMSException`
    `org.jboss.internal.soa.esb.rosetta.pooling.ConnectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD